/**************************************************************************/
/*                                Flow4J                                  */
/*             A visual process flow configuration framework              */
/*                         (c) Alex Greif 2003                            */
/*                                                                        */
/*  This program is free software; you can redistribute it and/or modify  */
/*  it under the terms of the GNU General Public License as published by  */
/*  the Free Software Foundation; either version 2 of the License, or     */
/*  (at your option) any later version.                                   */
/*                                                                        */
/**************************************************************************/

package flow4j.flow;

import java.util.Map;


/**	The ITask interface supports the methods for task execution
 and property settings.

 */
public interface ITask {

	/**	Executes the task.
	 */
	public void execute(FlowDictionary dictionary);


	/**	returns a task property.
	 */
	public Object getProperty(Object key);


	/**	Sets a task property.
	 */
	public void setProperty(Object key, Object value);

	/**	Sets a task property.
	 */
	public void setProperty(Object key, int value);

	/**	Sets a task property.
	 */
	public void setProperty(Object key, boolean value);

	/**	Sets a task property.
	 */
	public void setProperty(Object key, double value);

	/**	Sets a task property.
	 */
	public void setProperty(Object key, long value);




}


